Name:           perl-Email-Reply
Version:        1.202
Release:        1%{?dist}
Summary:        Reply to an email message
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-Reply/
Source0:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Reply-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:  perl(Email::Abstract) >= 2.01
BuildRequires:  perl(Email::Address) >= 1.80
BuildRequires:  perl(Email::MIME) >= 1.82
BuildRequires:  perl(Email::MIME::Creator) >= 1.41
BuildRequires:  perl(Email::MIME::Modifier) >= 1.42
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This package provides a simple way to reply to email messages.

%prep
%setup -q -n Email-Reply-%{version}

%build
sed -i '/LICENSE/ d' Makefile.PL
perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README LICENSE
%{perl_vendorlib}/Email/
%{_mandir}/man3/Email::Reply.3pm*

%changelog
* Mon Mar 19 2012 Paul Howarth <paul@city-fan.org> - 1.202-1
- update to 1.202
  - fix test suite to handle line endings properly
- one buildreq per line for readability
- add module version requirements from META.yml
- drop redundant buildreqs perl(Email::Date), perl(Email::Simple) and
  perl(Email::Simple::Creator)
- package Changes file
- don't use macros for commands
- don't need to remove empty directories from buildroot
- use %%{_fixperms} macro rather than our own chmod incantation
- use DESTDIR rather than PERL_INSTALL_ROOT
- make %%files list more explicit
- drop %%defattr, redundant since rpm 4.4

* Fri May  4 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.201-3
- fix missing BR

* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.201-2
- fix LICENSE Warning on build
- add missing Test BR

* Sun Apr  1 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.201-1
- Initial package for Fedora
